<?php
    lt_include(PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php");
    lt_include(PLOG_CLASS_PATH."class/plugin/pluginmanager.class.php");
    lt_include(PLOG_CLASS_PATH."plugins/subscribe/class/dao/subscriptions.class.php");
    
    class PluginSubscribeShowConfigView extends AdminPluginTemplatedView
    {
    
        function PluginSubscribeShowConfigView($blogInfo){
            $this->AdminPluginTemplatedView($blogInfo, "subscribe", "config");
        }
        
        function render(){
			$blogSettings = $this->_blogInfo->getSettings();
			$pluginEnabled = $blogSettings->getValue( "plugin_subscribe_enabled" );
			$key = $blogSettings->getValue( "plugin_subscribe_key" );

            $this->setValue( "pluginEnabled", $pluginEnabled );
            $this->setValue( "key", $key );
        
            parent::render();
        }
    }
?>